Skip to main content

How to get task types for a dealer

This endpoint allows you to retrieve all task types configured for a specific dealer.

To use this endpoint, you first need your credentials. If you don't already have one, please head over to the Authentication and Authorization page to see how you can request for credentials from us.

Request​

HTTP request​

GET  https://api.mykaarma.com/leads/followup/dealer/{dealerUUID}/task-types/list

Parameters​

Required path parameters:

Parameter NameValueDescription
dealerUUIDstringUnique identifier for the dealer for which the follow up task types need to be retrieved

Authorization​

This request requires authorization. Include your credentials in the authorization header.

Scope​

This request requires the following authorization scopes:

ScopeLevelDescription
followup.readDealerAuthorizes client to fetch follow-up task types for the provided dealer

Sample Request​

curl --location --request GET 'https://api.mykaarma.com/leads/followup/dealer/{dealerUUID}/task-types/list' \
--header 'accept: application/json' \
--header 'authorization: <your-credentials>' \
--header 'Content-Type: application/json'

Response​

{
"statusCode": 200,
"error": null,
"warnings": null,
"taskTypeList": [
{
"uuid": "task-type-uuid-1",
"dealerUuid": "dealer-uuid",
"taskName": "Declined Service",
"taskDisplayName": "Declined Service",
"taskDescription": "Follow up for declined service recommendations"
},
{
"uuid": "task-type-uuid-2",
"dealerUuid": "dealer-uuid",
"taskName": "No Show",
"taskDisplayName": "No Show",
"taskDescription": "Follow up for missed appointments"
}
]
}

Response Fields​

FieldTypeDescription
statusCodeintegerHTTP status code (200 for success)
errorobjectError details if the request failed
warningsarrayWarning messages if any
taskTypeListarrayList of task type objects

Task Type Object Fields​

FieldTypeDescription
uuidstringUnique identifier of the task type
dealerUuidstringUnique identifier of the dealer
taskNamestringName of the task type
taskDisplayNamestringDisplay name of the task type
taskDescriptionstringDescription of the task type